namespace Cryville.Crtr.Browsing {
	public interface IResourceManager<T> {
		string[] CurrentDirectory { get; }
		int ChangeDirectory(string[] dir);
		int OpenDirectory(int id);
		int ReturnToDirectory(int id);
		ResourceItemMeta GetItemMeta(int id);
		T GetItemDetail(int id);
		string GetItemPath(int id);

		bool ImportItemFrom(string path);
		string[] GetSupportedFormats();
	}
}